%define upstream_name	 Rose-HTML-Objects
%define upstream_version 0.617

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object-oriented interfaces for HTML
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(DateTime) >= 0.200.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::String) >= 1.80.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Rose::DateTime) >= 0.532.0
BuildRequires: perl(Rose::Object) >= 0.854.0
BuildRequires: perl(Rose::URI) >= 0.21.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base) >= 2.180.0
BuildArch:  noarch

Requires:   perl-Rose-DateTime >= 0.013.3
Requires:   perl-Rose-Object >= 0.015
Requires:   perl-Rose-URI >= 0.021
%description
The Rose::HTML::Object::* family of classes represent HTML tags, or
groups of tags. These objects allow HTML to be arbitrarily
manipulated, then serialized to actual HTML (or XHTML). Currently, the
process only works in one direction. Objects cannot be constructed
from their serialized representations. In practice, given the purpose
of these modules, this is not an important limitation.

Any HTML tag can theoretically be represented by a
Rose::HTML::Object-derived class, but this family of modules was
originally motivated by a desire to simplify the use of HTML forms.

The form/field object interfaces have been heavily abstracted to allow
for input and output filtering, inflation/deflation of values, and
compound fields (fields that contain other fields). The classes are
also designed to be subclassed. The creation of custom form and field
subclasses is really the "big win" for these modules.

There is also a simple image tag class which is useful for
auto-populating the width and height attributes of img tags. Future
releases may include object representations of other HTML
tags. Contributions are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%make test

%install
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.617.0-2.mga3
+ Revision: 372311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.617.0-1.mga3
+ Revision: 342566
- update to 0.617

* Tue Jun 05 2012 jquelin <jquelin> 0.616.0-1.mga3
+ Revision: 255404
- update to 0.616

* Mon Jan 24 2011 jquelin <jquelin> 0.611.0-1.mga1
+ Revision: 37199
- mageia rebuild
- imported package perl-Rose-HTML-Objects

